# WAZP

Hosting data used for tests, examples and tutorials of the WAZP project.
- [WAZP source code on GitHub](https://github.com/SainsburyWellcomeCentre/WAZP)
- [WAZP documentation](https://sainsburywellcomecentre.github.io/WAZP/)

The datasets are stored in folders named after the species - e.g. `jewel-wasp` (*Ampulex compressa*).

Each species folder contains various WAZP sample projects as zipped archives. For example, the `jewel-wasp` folder contains the following projects:
- `short-clips_raw` - a project containing short ~10 second clips extracted from raw .avi files.
- `short-clips_compressed` - same as above, but compressed using the H.264 codec and saved as .mp4 files.
- `entire-video_raw` - a project containing the raw .avi file of an entire video, ~32 minutes long.
- `entire-video_compressed` - same as above, but compressed using the H.264 codec and saved as .mp4 file.

Each WAZP sample project has the following structure:
```
PROJECT
    └── videos
        ├── {video1-name}.{ext}
        ├── {video1-name}.metadata.yaml
        ├── {video2-name}.{ext}
        ├── {video2-name}.metadata.yaml
        └── ...
    └── pose_estimation_results
        ├── {video1-name}{model-name}.h5
        ├── {video2-name}{model-name}.h5
        └── ...
    └── WAZP_config.yaml
    └── metadata_fields.yaml
```
